/* 
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: Patrick Boenzli
   co-programmer: ...
*/

#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_COLLISION

#include "obb_tree.h"
#include "obb.h"

using namespace std;


/**
   \brief standard constructor
*/
OBBTree::OBBTree () 
{
   this->setClassID(CL_OBB_TREE, "OBBTree"); 

}


/**
   \brief standard deconstructor

*/
OBBTree::~OBBTree () 
{
  // delete what has to be deleted here
}


void OBBTree::spawnBVTree(int depth)
{
  float area[this->numberOfVertices];  //!< surface area of the i'th triangle of the convex hull
  float areaTotal; //!< surface area of the entire convex hull
  float centroid[this->numberOfVertices]; //!< centroid of the i'th convex hull
  

  //OBB obb();
  float muX, muY, muZ;
  for(int i = 0; i < this->numberOfVertices; ++i)
    {
      
    }
}


void OBBTree:: flushTree()
{}


void OBBTree::collideWith(const OBBTree &tree)
{}


void OBBTree::drawBV(int currentDepth, const int depth) const
{}


void OBBTree::drawBVPolygon(int currentDepth, const int depth) const
{}


void OBBTree::drawBVBlended(int currentDepth, const int depth) const
{}
